package com.armcloud.armcloudsdkdemo

import android.app.Application
import android.util.Log
import android.widget.Toast
import com.arm.armcloudsdk.ArmCloudEngine
import com.arm.armcloudsdk.innerapi.ICloudCoreManagerStatusListener

class MyApp : Application() {

    override fun onCreate() {
        super.onCreate()
        ArmCloudEngine.logEnable(true)
        ArmCloudEngine.prepare(this, object : ICloudCoreManagerStatusListener {
            override fun onPrepared() {
                Toast.makeText(this@MyApp, "ArmCloudEngine 初始化完成", Toast.LENGTH_SHORT).show()
                Log.i("ArmCloudEngine", "初始化完成")
            }
        })
    }
}