package com.cloud.vmoscloudsdk.adapter

import android.content.Context
import android.view.ViewGroup
import android.widget.CheckBox
import com.armcloud.armcloudsdkdemo.R
import com.chad.library.adapter4.BaseQuickAdapter
import com.chad.library.adapter4.viewholder.QuickViewHolder
import com.armcloud.armcloudsdkdemo.dtos.MultiPadCodeDto

class MultiCodeAdapter : BaseQuickAdapter<MultiPadCodeDto, QuickViewHolder>() {
    override fun onBindViewHolder(holder: QuickViewHolder, position: Int, item: MultiPadCodeDto?) {
        holder.setText(R.id.tv_pad_code, item?.padCode ?: "")
        val cbCheck = holder.getView<CheckBox>(R.id.cb_check)
        cbCheck.setOnCheckedChangeListener { _, isChecked -> item?.isCheck = isChecked }
        cbCheck.isChecked = item?.isCheck == true
    }

    override fun onCreateViewHolder(
        context: Context,
        parent: ViewGroup,
        viewType: Int
    ): QuickViewHolder {
        return QuickViewHolder(R.layout.adapter_multi_code, parent)
    }
}